#include <bits/stdc++.h>
#define upn(x, init, n) for (int x = init; x <= n; ++x)

/* O(log N) with big constant per query */
	
using namespace std;
int N, M, curM, cur;
struct node{
    int p, L, R, cnt, idx;
};

node G[4000001];
int cidx = 1;
int getlog(int a) {
    int b = 1;
    int ret = 0;
    while (a > b * 2) {
        b *= 2;
        ++ret;
    }
    return ret;
}
void build(int u, int p, int cnt) {
    G[u].p = p;
    G[u].cnt = cnt;
    G[u].L = G[u].R = G[u].idx = -1;
    if (cnt == 1) {
        G[u].idx = cidx;
        ++cidx;
        if (G[u].idx == 1) {
            cur = u;
        }
        return;
    } else if (!cnt) {
        return;
    }
    G[u].L = u*2;
    build(G[u].L, u, cnt / 2);
    G[u].R = u*2 + 1;
    build(G[u].R, u, cnt - cnt / 2);
}
void jump(int u, int went, int need) {
    //printf("[node %d]: went %d, need %d, cnt %d\n", u, went, need, G[u].cnt);
    if (G[u].cnt - went < need) {
        int p = G[u].p;
        if (!p) {
            need = need - (G[u].cnt - went);
            need = need % G[u].cnt;
            if (!need)
                need = G[u].cnt;
            jump(u, 0, need);
        } else if (G[p].L == u) {
            jump(p, went, need);
        } else {
            jump(p, went + G[G[p].L].cnt, need);
        }
    } else {
        if (G[u].cnt == 1 && G[u].idx != -1) {
            cur = u;
            return;
        }
        if (G[G[u].L].cnt - went < need) {
            jump(G[u].R, 0, need - (G[G[u].L].cnt - went));
        } else {
            jump(G[u].L, went, need);
        }
    }
}
void del(int u) {
    --G[u].cnt;
    if (u == 1)
        return;
    del(G[u].p);
}
int main() {
    cin.sync_with_stdio(0); cin.tie(0);
    cin >> N >> M;
    build(1, 0, N);

    upn(i, 1, N) {
        curM = M % G[1].cnt;
        if (!curM)
            curM = G[1].cnt;

        jump(cur, 0, curM);
        del(cur);
    }
    cout << G[cur].idx << '\n';
}
