#include <bits/stdc++.h>
/* O(M log N) per query */

using namespace std;

inline void add(int& idx, int n) {
	++idx;
	if (idx == n) {
		idx = 0;
	}
}

int find_parent(int i, vector<int>& p) {
	if (i == p[i])
		return p[i];
	return p[i] = find_parent(p[i], p);
}

int main(int argc, char *argv[]) {
	int n, m;
	cin >> n >> m;
	--m;
	vector<int> p(n);
	for (int i = 0; i < n; ++i) {
		p[i] = i;
	}
	int idx = 0;
	for (int i = n; i > 0; --i) {
		while (idx != p[idx]) {
			add(idx, n);
			idx = find_parent(idx, p);
		}
		for (int k = 0; k < m; ++k) {
			do {
				add(idx, n);
				idx = find_parent(idx, p);
			} while (idx != p[idx]);
		}
		p[idx] = (idx + 1) % n;
	}
	cout << idx + 1 << endl;
	return 0;
}
