#include <bits/stdc++.h>
#define upn(x, init, n) for (int x = init; x <= n; ++x)

/* O(min(N, M)) with small constant per query */

using namespace std;

bool u[311111];
vector<int> v;
int N, M, idx, curN;

inline void add(int& idx, int n) {
	++idx;
	if (idx == n) {
		idx = 0;
	}
}

int modeling() {
	--M;
	int idx = 0;
	for (int i = N; i > 0; --i) {
		while (u[idx]) {
			add(idx, N);
		}
		int j = M % i;
		for (int k = 0; k < j; ++k) {
			do {
				add(idx, N);
			} while (u[idx]);
		}
		u[idx] = true;
	}
	return idx + 1;
}

int main() {
    cin.sync_with_stdio(0);   cin.tie(0);
    cin >> N >> M;
    if (M <= 100) {
		cout << modeling() << endl;
		return 0;
    }

    upn(i, 1, N) {
    	v.push_back(i);
    }

    curN = N;
    idx = 0;
    upn(i, 1, N - 1) {
    	idx = (idx + M - 1) % curN;
    	v.erase( v.begin() + idx );
    	--curN;
    	if (idx >= curN) {
    		idx -= curN;
        }
    }
    cout << v[0] << '\n';
}
